メインコンテンツへスキップ
GET /v1/deployments/{id} ID を指定して完全な Deployment オブジェクトを取得します。

パスパラメータ

パラメータ説明
idstringDeployment ID(dep_ プレフィックス)

ヘッダー

名称必須
AuthorizationはいBearer $QODER_PAT

リクエスト例

curl -X GET "https://api.qoder.com/api/v1/cloud/deployments/dep_019ec556114c78f8b60ee34fcb98bf59" \
  -H "Authorization: Bearer $QODER_PAT"

レスポンス例

HTTP 200 OK 完全な Deployment オブジェクトを返します(Deployment の作成 レスポンスと同じ構造)。
{
  "agent": {
    "id": "agent_019eb4d4a06d747c865d5800b9c57ae2",
    "type": "agent",
    "version": 1
  },
  "archived_at": null,
  "created_at": "2026-06-14T08:53:32Z",
  "description": "Deployment created for API documentation verification",
  "environment_id": "env_019e64e01a137caf953ac2ac7b42ec5c",
  "id": "dep_019ec556114c78f8b60ee34fcb98bf59",
  "initial_events": [
    {
      "content": "Generate today's status report",
      "type": "user.message"
    }
  ],
  "metadata": {
    "cas_config": {
      "config": {
        "max_concurrent": 1,
        "max_retries": 0,
        "timeout_ms": 300000
      },
      "session_strategy": "new_session",
      "stats": {
        "consecutive_failures": 0,
        "next_trigger_at": "2026-06-15T01:00:00Z",
        "total_failures": 0,
        "total_runs": 0
      }
    }
  },
  "name": "api-doc-verification-deployment",
  "paused_reason": null,
  "resources": [],
  "schedule": {
    "expression": "0 9 * * *",
    "timezone": "Asia/Shanghai",
    "type": "cron",
    "upcoming_runs_at": [
      "2026-06-15T01:00:00Z",
      "2026-06-16T01:00:00Z",
      "2026-06-17T01:00:00Z",
      "2026-06-18T01:00:00Z",
      "2026-06-19T01:00:00Z"
    ]
  },
  "status": "active",
  "type": "deployment",
  "updated_at": "2026-06-14T08:53:32Z",
  "vault_ids": []
}

エラー

HTTPtype説明
401authentication_errorPAT が無効または期限切れ
404not_found_errorDeployment が存在しない
完全なエラーエンベロープについては エラー を参照してください。

関連項目

Deployment 一覧

アカウント配下のすべての Deployment をページ単位で取得します。

Deployment の更新

マージパッチで Deployment のフィールドを部分更新します。

Deployment Run 一覧

この Deployment の実行履歴を確認します。

エラー

共通のエラーエンベロープ仕様を参照します。